package org.example;

import de.asap.pak.core.engine.api.IEngine;
import de.asap.pak.core.engine.api.WorkflowException;
import de.asap.pak.modelinterpreter.bpmn.model.validator.ModelException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.IOException;
import java.io.InputStream;

public class App {
	//Create a logger for this class
	private static final Logger LOG = LoggerFactory.getLogger(App.class);

	public void start() {

		IEngine engine = null;

		try (final InputStream inputStream = getClass().getClassLoader().getResourceAsStream("Hello_World.bpmn")) {
			engine = EngineCreator.createEngine(inputStream);
		} catch (ModelException | IOException e) {
			LOG.error("Unable to parse the BPMN-File to a model", e);
		}

		try {
			//Start the engine
			engine.start();
		} catch (WorkflowException e) {
			LOG.error("Unable to run the workflow", e);
		}
	}

	public static void main(String[] args) {
		//run the start method of the app
		new App().start();
	}
}