package org.example;

import de.asap.pak.core.engine.spi.interceptors.EngineEvent;
import de.asap.pak.core.engine.spi.interceptors.IEngineListenerEvent;
import de.asap.pak.core.engine.spi.interceptors.IEngineObserver;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Example Observer to show the registration of an engine observer
 */
public class EngineObserver implements IEngineObserver {

	// Create a logger for this class
	private static final Logger LOG = LoggerFactory.getLogger(EngineObserver.class);

	@Override
	public void observe(IEngineListenerEvent event){
		EngineEvent engineEvent = event.getEvent();

		switch (engineEvent) {
		case WORKFLOW_STARTED:
			handleWorkflowStarted();
			break;
		case WORKFLOW_FINISHED:
			handleWorkflowFinished();
			break;
		}
	}

	private void handleWorkflowStarted(){
		LOG.info("The workflow has been started!");
	}

	private void handleWorkflowFinished(){
		LOG.info("The workflow has finished!");
	}
}
